{
  repoFlake,
  nodeFlake,
  nodeName,
  config,
  system,
  ...
}: {
  imports = [
  ];

  sops.secrets.mycelium-key = {
    format = "binary";
    sopsFile = repoFlake + "/secrets/${nodeName}/mycelium_priv_key.bin.enc";
  };

  services.mycelium = {
    enable = true;
    package = nodeFlake.inputs.mycelium.packages.${system}.myceliumd;
    keyFile = config.sops.secrets.mycelium-key.path;
    addHostedPublicNodes = true;
    peers = [
    ];

    # tunName = "mycelium-pub";

    extraArgs = [
    ];
  };
}
